class ElectraModel(Module):
  __parameters__ = []
  training : bool
  embeddings : __torch__.transformers.modeling_electra.ElectraEmbeddings
  embeddings_project : __torch__.torch.nn.modules.linear.Linear
  encoder : __torch__.transformers.modeling_bert.BertEncoder
  def forward(self: __torch__.transformers.modeling_electra.ElectraModel,
    input_ids: Tensor) -> Tensor:
    _0 = self.encoder
    _1 = self.embeddings_project
    _2 = self.embeddings
    _3 = ops.prim.NumToTensor(torch.size(input_ids, 0))
    _4 = int(_3)
    _5 = int(_3)
    _6 = ops.prim.NumToTensor(torch.size(input_ids, 1))
    _7 = int(_6)
    attention_mask = torch.ones([_5, int(_6)], dtype=6, layout=0, device=torch.device("cpu"), pin_memory=False)
    input = torch.zeros([_4, _7], dtype=4, layout=0, device=torch.device("cpu"), pin_memory=False)
    _8 = torch.slice(attention_mask, 0, 0, 9223372036854775807, 1)
    _9 = torch.unsqueeze(torch.unsqueeze(_8, 1), 2)
    extended_attention_mask = torch.slice(_9, 3, 0, 9223372036854775807, 1)
    _10 = torch.to(extended_attention_mask, 6, False, False, None)
    attention_mask0 = torch.mul(torch.rsub(_10, 1., 1), CONSTANTS.c0)
    _11 = (_1).forward((_2).forward(input_ids, input, ), )
    _12 = (_0).forward(_11, attention_mask0, )
    return _12
class ElectraEmbeddings(Module):
  __parameters__ = []
  training : bool
  word_embeddings : __torch__.torch.nn.modules.sparse.Embedding
  position_embeddings : __torch__.torch.nn.modules.sparse.___torch_mangle_0.Embedding
  token_type_embeddings : __torch__.torch.nn.modules.sparse.___torch_mangle_1.Embedding
  LayerNorm : __torch__.torch.nn.modules.normalization.LayerNorm
  dropout : __torch__.torch.nn.modules.dropout.Dropout
  def forward(self: __torch__.transformers.modeling_electra.ElectraEmbeddings,
    input_ids: Tensor,
    input: Tensor) -> Tensor:
    _13 = self.dropout
    _14 = self.LayerNorm
    _15 = self.token_type_embeddings
    _16 = self.position_embeddings
    _17 = self.word_embeddings
    _18 = ops.prim.NumToTensor(torch.size(input_ids, 0))
    _19 = int(_18)
    seq_length = ops.prim.NumToTensor(torch.size(input_ids, 1))
    _20 = int(seq_length)
    position_ids = torch.arange(annotate(number, seq_length), dtype=4, layout=0, device=torch.device("cpu"), pin_memory=False)
    input0 = torch.expand(torch.unsqueeze(position_ids, 0), [_19, _20], implicit=False)
    _21 = (_17).forward(input_ids, )
    _22 = (_16).forward(input0, )
    _23 = (_15).forward(input, )
    input1 = torch.add(torch.add(_21, _22, alpha=1), _23, alpha=1)
    _24 = (_13).forward((_14).forward(input1, ), )
    return _24
